<?php
/**
 * 本接口免费，如需特别定制，请联系
 * qq: 296624314
 */
//密钥
define('XZ_PUBKEY','123456');
//登录用户信息，请跟系统用户对应，这是要写入数据库的
$configs['uid'] = 1; //模拟登录用户id
$configs['username'] = 'admin';//模拟登录用户名
$configs['autoslw_default'] = '108';//自动缩略图默认宽度
$configs['autoslh_default'] = '118';//自动缩略图默认高度
/**
 * 下面的不要动了
 */
define('EmpireCMSAdmin','1');
require("../class/connect.php");
require("../class/db_sql.php");
require("../class/functions.php");
require LoadLang("pub/fun.php");
require("../class/delpath.php");
require("../class/copypath.php");
require("../class/t_functions.php");
require("../data/dbcache/class.php");
require("../data/dbcache/MemberLevel.php");
include_once("../class/gd.php");

//原创：自动提取正文中的图片作为缩略图，并支持压缩
function xz_autotitlepic()
{
	//表单中已经有标题图片，不处理
	if (isset($_POST['titlepic'])) {
		return false;
	}
	//开始处理
	$n = 0;
	if (isset($_POST['xz_autotitlepic'])) {
		$n = (int)$_POST['xz_autotitlepic'];
	}
	if ($n <= 0) {
		return false;
	}
	if (!isset($_POST['newstext'])) return false;
	$newstext = $_POST['newstext'];//正文
	preg_match_all('/<img.+src\s*=\s*[\"\']?(.+?)[\"\'\s>]/i',$_POST['newstext'],$m);
	if (empty($m) || !isset($m[1][$n-1])) {
		return false;
	}
	$img = $m[1][$n-1];//图片src
	$titlepic = "";
	//缩略图，必须是本地已经上传的图片才能压缩，不支持远程图片本地化，使用火车头先将图片下载下来并上传到服务器
	//图片地址相对于站点根目录
	if (isset($_POST['xz_autosl']) && $_POST['xz_autosl'] == '1') {
		$w = isset($_POST['xz_autoslw']) ? $_POST['xz_autoslw'] : $configs['autoslw_default'];
		$h = isset($_POST['xz_autoslh']) ? $_POST['xz_autoslh'] : $configs['autoslh_default'];
		$filename = ECMS_PATH.$img;//文件物理路径
		$pathinfo = pathinfo($img);
		$newimg = $pathinfo['dirname'].'/small-'.$pathinfo['filename'];
		$newfilename = ECMS_PATH.$newimg;
		if (file_exists($filename)) { //文件存在的情况下进行压缩处理
			$refile = ResizeImage($filename,$newfilename,$w,$h,1);
			if ($refile['file']) {
				$titlepic = $newimg.$refile['filetype'];
			}
		}
	}
	//处理完毕
	return $_POST['titlepic'] = $titlepic;
}

$link=db_connect();
$empire=new mysqlquery();

//请求合法性检测
if (!isset($_GET['_xz_action']) || !isset($_GET['_xz_pubkey']) || $_GET['_xz_pubkey'] != XZ_PUBKEY) {
	die('非法请求');
}

if ($_GET['_xz_action'] == 'getClasses') {
	$std = $empire->query("select * from {$dbtbpre}enewsclass where islast=1");
	echo "<select>";
	while ($row = $empire->fetch($std)) {
		echo '<option value="'.$row['classid'].'">'.$row['classname'].'</option>';
	}
	echo "</select>";

} elseif ($_GET['_xz_action'] == 'addNews') {
	$incftp=0;
	if($public_r['phpmode'])
	{
		include("../class/ftp.php");
		$incftp=1;
	}
	//防采集
	if($public_r['opennotcj'])
	{
		@include("../data/dbcache/notcj.php");
	}
	//会员
	require("../member/class/user.php");
	require("../class/hinfofun.php");
	//一些默认值处理
	//默认文件名路径
	if (!isset($_POST['newspath'])) {
		$_POST['newspath'] = date('Y-m-d');
	}
	//默认已审核
	if (!isset($_POST['checked'])) {
		$_POST['checked'] = '1';
	}

	//自动提取缩略图
	xz_autotitlepic();

	AddNews($_POST,$configs['uid'],$configs['username']);
} else {
	die('非法操作');
}


$empire = null;
db_close();//关闭数据连接
